dofile("scripts/entities/entityinclude.lua")

delay = 0.2
b1 = 0
b2 = 0
function commonInit(me, file)
	setupEntity(me)
	entity_initSkeletal(me, file)
	
	b1 = entity_getBoneByIdx(me, 0)
	b2 = entity_getBoneByIdx(me, 1)
	
	bone_alpha(b2, 0)

	entity_setState(me, STATE_IDLE)
	esetv(me, EV_LOOKAT, false)
end

function postInit(me)
end

function update(me, dt)
	if delay > -1 then
		delay = delay - dt
		if delay < 0 then
			delay = -1
			bone_alpha(b2, 1, 6)
			bone_alpha(b1, 0, 6)
		end
	end
end

function enterState(me)
end

function exitState(me)
end

function damage(me, attacker, bone, damageType, dmg)
	return false
end

function animationKey(me, key)
end

function hitSurface(me)
end

function songNote(me, note)
end

function songNoteDone(me, note)
end

function song(me, song)
end

function activate(me)
end

